void CARDS() {

  /**
    --------------------------------------------------------------------------------------------------------------------
                                                      INITIALISATION
    Dans cette partie, vous devez écrire le code des différentes cartes que vous allez utiliser ainsi que les texte que
    vous souhaitez afficher pour chacun.
    --------------------------------------------------------------------------------------------------------------------

  */
  String codes[] = {"60 0E F7 1B",    // code de la première carte
                    "05 A2 A4 AC"     // code de la deuxième carte
                   };
  String sons[] = {"WO:OO - Hocus Pocus",         // nom du premier son
                   "Doing it Right - Daft Punk"   // nom du deuxième son
                  };


  /**
    --------------------------------------------------------------------------------------------------------------------
                                                 FIN DE L'INITIALISATION
    --------------------------------------------------------------------------------------------------------------------

  */
  int lengtharray = sizeof(codes) / sizeof(codes[0]);  // taille du tableau

  String content = "";
  byte letter;
  bool cardRemoved = false;
  int counter = 0;
  bool current, previous;


  for (byte i = 0; i < mfrc522.uid.size; i++) // transformation du code en chaine de caractère
  {
    content.concat(String(mfrc522.uid.uidByte[i] < 0x10 ? " 0" : " "));
    content.concat(String(mfrc522.uid.uidByte[i], HEX));
  }
  content.toUpperCase(); 
  for (int i = 0; i < lengtharray; i++) {

    if (content.substring(1) == codes[i]) { //vérification du code de la carte
      lcd.clear(); // réinitialisation de l'écran lcd
      mp3.play(i); // on joue le son correspondant à la carte
      lcd.print("                " + sons[i]); // on écrit le texte choisi sur l'écran
      int k = 0;
      while (!cardRemoved) // compteur pour arrêter la musique quand la carte est enlevée
      {
        current = !mfrc522.PICC_IsNewCardPresent();
        if (current && previous) counter++;
        previous = current;
        cardRemoved = (counter > 2);
        if ( k < sons[i].length() + 16) { // défilement du texte sur l'écran lcd
          lcd.scrollDisplayLeft();
          delay(300);
        }
        else { // réinitialisation du texte
          lcd.clear();
          lcd.print("                " + sons[i]);
          k = 0;
        }
        k++;
      }
    }
  }
}
